JRE Build Path

Discussion in 'Plugin Development' started by dark_hunter, Aug 1, 2012.

Thread Status:
Not open for further replies.
  1. Offline

    dark_hunter

    How would I go about fixing this error?
    Code:
    Build path specifies execution environment JavaSE-1.6. There are no JREs installed in the workspace that are strictly compatible with this environment.  Build path JRE System Library Problem.
    
     
  2. Offline

    ZeusAllMighty11 Retired Staff

    It says you need Java 6. Get java 6 and add it to your path?? o.o
     
  3. Offline

    Digi

    You're compiling it on JRE6 but you don't have it installed... either on the machine itself or in Eclipse.

    If you do have it installed in your computer you need to set it in Eclipse: Window -> Preferences -> Java -> Installed JREs -> Add -> Standard VM -> JRE Home point to your JRE folder... normally C:\Program Files\Java\jre6 then just click Finish and that's it.
     
  4. Offline

    dark_hunter

    I have already.
    Yea.PNG

    I have Java 7 installed.

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: May 27, 2016
  5. Offline

    ZeusAllMighty11 Retired Staff


    Either install java 6 as well ( may cause issues with both versions of Java ), or upgrade project
     
  6. Offline

    dark_hunter

    Ok I had 6 installed. Problem solved. Thanks guys.
     
Thread Status:
Not open for further replies.

Share This Page